#!/usr/bin/python
# -*- coding:utf8 -*-

""" Bot configuration """

#: Faut-il débuguer sur la sortie standard par défaut ?
debug_stdout = True

## La config irc-related
#: Mot de passe NickServ. TODO : le mettre dans un secrets.py
irc_password = "FakeNickServPassword"
#: Pseudo IRC
irc_pseudo = "Josh"
#: Liste des channels à rejoindre
chanlist = ["#chaos-angel", "#32c3"]
#: Liste des channels à ne pas quitter
stay_channels = ["#bot"]
#: Liste des channels où se taire
quiet_channels = []

#: Le template des noms de fichier de log
logfile_template = "josh.%s.log"

#: Les OVEROPs, tous les droits sur le bot
overops=["[20-100]", "[20-100]_", "[20-100]_p"]
#: Les OPs, moins de droits que les OVEROPs
ops=[]
#: À qui s'adresser (par IRC) quand le bot rencontre une erreur
report_bugs_to=["[20-100]"]

#: config "tais-toi"
tag_triggers = [u"t(|a)g", u"ta gueule", u"la ferme", u"ferme( |-)la", u"tais-toi", u"chut", u"tu fais trop de bruit", u"tu parles trop",
"shut up", "quiet"]
tag_actions = [u"shuts up"]
tag_answers = [
u"Access denied"]

#: config pour "on m'a demandé de partir"
quit_messages = [u"Goodbye."]
leave_messages = quit_messages

quit_fail_messages = [u"Access denied"]
leave_fail_messages = quit_fail_messages
pas_programme_pour_tobeir = [u"Encore eût-il fallu que je fusse programmé pour vous obéir !"]

#: Allah regexp
allah_triggers = ["is not doing allah is doing"]

#: Aide sur les commandes
helpdico = {
"help" : [u"""HELP <commande>
 Affiche de l'aide sur la commande""", None, None],

"join" : [None, u"""JOIN <channel>
 Me fait rejoindre le channel""", None],

"leave" : [None, u"""LEAVE <channel>
 Me fait quitter le channel (sauf s'il est dans ma stay_list).""", None],

"quiet" : [None, u"""QUIET <channel>
 Me rend silencieux sur le channel.""", None],

"noquiet" : [None, u"""NOQUIET <channel>
 Me rend la parole sur le channel.""", None],

"reload" : [None, u"""RELOAD
 Recharge la configuration.""", None],

"say" : [None, None, u"""SAY <channel> <message>
 Me fait parler sur le channel."""],

"do" : [None, None, u"""DO <channel> <action>
 Me fait faitre une action (/me) sur le channel."""],

"stay" : [None, None, u"""STAY <channel>
 Ajoute le channel à ma stay_list."""],

"nostay" : [None, None, u"""NOSTAY <channel>
 Retire le channel de ma stay_list."""],

"ops" :  [None, None, u"""OPS
 Affiche la liste des ops."""],

"overops" : [None, None, u"""OVEROPS
 Affiche la liste des overops."""],

"kick" : [None, None, u"""KICK <channel> <pseudo> [<raison>]
 Kicke <pseudo> du channel (Il faut bien entendu que j'y sois op)."""],

"die" : [None, None, u"""DIE
 Me déconnecte du serveur IRC."""],

"crash" : [None, None, u"""CRASH
 Me fait crasher"""]
 }

#: Message d'aide par défaut
helpmsg_default = u"List of available commands:\nHELP"
#: Message d'aide par défaut à ajouter pour les OPs
helpmsg_ops = u" JOIN LEAVE QUIET NOQUIET RELOAD"
#: Message d'aide par défaut à ajouter pour les OVEROPs
helpmsg_overops = u" SAY DO STAY NOSTAY OPS OVEROPS KICK DIE CRASH"

#: Liste de paires de masques ``[black, exceptlist]`` : on blacklistera ce qui match ``black``
#: et aucun élément de ``exceptlist``
blacklisted_masks = []
